Page MenuHomePhabricator

Auto position/zoom not working on maplink when data is loaded asynchronously.
Closed, ResolvedPublic

Description

The code that auto calculates the center/zoom of the map (when not explicitly specified) is executed synchronously, though the map group data may come asynchronously.

As a consequence, at the time the setView method is executed, the map does not contain all the data layers that should go into the bounds calculation, thus leading to incorrect position and zoom.

Details

Related Gerrit Patches:
mediawiki/extensions/Kartographer : masterFix auto position/zoom not working on maplink.

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 27 2016, 10:34 PM
JGirault moved this task from Backlog to In progress on the Maps-Sprint board.Jun 28 2016, 8:08 PM

Change 296447 had a related patch set uploaded (by JGirault):
Fix auto position/zoom not working on maplink.

https://gerrit.wikimedia.org/r/296447

Yurik added a subscriber: Yurik.Jun 28 2016, 11:21 PM

@JGirault please document new hook (as well as overall usage) at https://www.mediawiki.org/wiki/Extension:Kartographer

Change 296447 merged by jenkins-bot:
Fix auto position/zoom not working on maplink.

https://gerrit.wikimedia.org/r/296447

JGirault closed this task as Resolved.Jul 13 2016, 2:04 AM